Loading...
Searching...
No Matches
gtsam::ThreadsafeException< DERIVED > Class Template Reference

## Detailed Description

template<class DERIVED>
class gtsam::ThreadsafeException< DERIVED >

Base exception type that uses tbb_allocator if GTSAM is compiled with TBB.

Inheritance diagram for gtsam::ThreadsafeException< DERIVED >:

## Public Member Functions

const char * | what () const noexcept override

## Protected Types

typedef std::string | String

## Protected Member Functions

| ThreadsafeException ()
| Default constructor is protected - may only be created from derived classes.
| ThreadsafeException (const ThreadsafeException &other)
| Copy constructor is protected - may only be created from derived classes.
| ThreadsafeException (const std::string &description)
| Construct with description string.
| ~ThreadsafeException () noexcept override
| Default destructor doesn't have the noexcept.

## Protected Attributes

bool | dynamic_
| Whether this object was moved.
boost::optional< String > | description_
| Optional description.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/ThreadsafeException.h